`libnetdude` Manual
Prev |  | Next

# libnd_protocol_plugin

## Name

libnd_protocol_plugin --

## Synopsis

    void        (*LND_ProtoPluginFunc)          (LND_ProtoPlugin *plugin,
                                                 void *user_data);
    void        libnd_proto_plugin_init         (void);
    const char* libnd_proto_plugin_get_name     (LND_ProtoPlugin *pp);
    const char* libnd_proto_plugin_get_description
                                                (LND_ProtoPlugin *pp);
    const char* libnd_proto_plugin_get_version  (LND_ProtoPlugin *pp);
    const char* libnd_proto_plugin_get_author   (LND_ProtoPlugin *pp);
    void        libnd_proto_plugin_foreach      (LND_ProtoPluginFunc callback,
                                                 void *user_data);

## Description

## Details

### LND_ProtoPluginFunc ()

    void        (*LND_ProtoPluginFunc)          (LND_ProtoPlugin *plugin,
                                                 void *user_data);

This is the signature of functions that can be passed to libnd_plugin_foreach().

`plugin` :

  iterated plugin.

`user_data` :

  arbitrary user data.

### libnd_proto_plugin_init ()

    void        libnd_proto_plugin_init         (void);

The function scans the plugin directories, reads in the plugins it finds and hooks them into the main window and the plugin registry.

### libnd_proto_plugin_get_name ()

    const char* libnd_proto_plugin_get_name     (LND_ProtoPlugin *pp);

The function returns a pointer to statically allocated memory containing a string with the plugin's name.

`pp` :

  plugin to query.

Returns :

  name of the protocol plugin.

### libnd_proto_plugin_get_description ()

    const char* libnd_proto_plugin_get_description
                                                (LND_ProtoPlugin *pp);

The function returns a pointer to statically allocated memory containing a string describing the plugin.

`pp` :

  plugin to query.

Returns :

  description string.

### libnd_proto_plugin_get_version ()

    const char* libnd_proto_plugin_get_version  (LND_ProtoPlugin *pp);

The function returns a pointer to statically allocated memory containing a string describing the plugin version.

`pp` :

  plugin to query.

Returns :

  version string.

### libnd_proto_plugin_get_author ()

    const char* libnd_proto_plugin_get_author   (LND_ProtoPlugin *pp);

The function returns a pointer to statically allocated memory containing a string with the author's name.

`pp` :

  plugin to query.

Returns :

  author name string.

### libnd_proto_plugin_foreach ()

    void        libnd_proto_plugin_foreach      (LND_ProtoPluginFunc callback,
                                                 void *user_data);

The function iterates over the registered protocol plugins and applies a callback function to each of them.

`callback` :

  callback to call for each protocol plugin.

`user_data` :

  arbitrary user data passed through to `callback`.

Prev | Home | Next
libnd_protocol_inst | Up | libnd_protocol_registry